---
apiVersion: cloudcredential.openshift.io/v1
kind: CredentialsRequest
metadata:
  annotations:
    capability.openshift.io/name: MachineAPI+CloudCredential
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2025-10-27T11:18:22Z"
  generation: 1
  labels:
    controller-tools.k8s.io: "1.0"
  managedFields:
  - apiVersion: cloudcredential.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:capability.openshift.io/name: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
        f:labels:
          .: {}
          f:controller-tools.k8s.io: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
      f:spec:
        .: {}
        f:providerSpec:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:permissions: {}
        f:secretRef: {}
        f:serviceAccountNames: {}
    manager: cluster-version-operator
    operation: Update
    time: "2025-10-27T11:18:22Z"
  - apiVersion: cloudcredential.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
        f:lastSyncGeneration: {}
        f:provisioned: {}
    manager: cloud-credential-operator
    operation: Update
    subresource: status
    time: "2025-10-27T11:19:31Z"
  name: openshift-machine-api-azure
  namespace: openshift-cloud-credential-operator
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "2629"
  uid: c39a4c8f-95c5-43ce-a448-e654c100228a
spec:
  providerSpec:
    apiVersion: cloudcredential.openshift.io/v1
    kind: AzureProviderSpec
    permissions:
    - Microsoft.Compute/availabilitySets/delete
    - Microsoft.Compute/availabilitySets/read
    - Microsoft.Compute/availabilitySets/write
    - Microsoft.Compute/diskEncryptionSets/read
    - Microsoft.Compute/disks/delete
    - Microsoft.Compute/galleries/images/versions/read
    - Microsoft.Compute/skus/read
    - Microsoft.Compute/virtualMachines/delete
    - Microsoft.Compute/virtualMachines/read
    - Microsoft.Compute/virtualMachines/write
    - Microsoft.Compute/capacityReservationGroups/deploy/action
    - Microsoft.Compute/galleries/read
    - Microsoft.Compute/galleries/images/read
    - Microsoft.Compute/galleries/images/versions/read
    - Microsoft.Compute/images/read
    - Microsoft.ManagedIdentity/userAssignedIdentities/assign/action
    - Microsoft.Network/applicationSecurityGroups/joinNetworkSecurityRule/action
    - Microsoft.Network/applicationSecurityGroups/read
    - Microsoft.Network/loadBalancers/backendAddressPools/join/action
    - Microsoft.Network/loadBalancers/frontendIPConfigurations/join/action
    - Microsoft.Network/loadBalancers/inboundNATRules/join/action
    - Microsoft.Network/loadBalancers/read
    - Microsoft.Network/loadBalancers/write
    - Microsoft.Network/networkInterfaces/delete
    - Microsoft.Network/networkInterfaces/join/action
    - Microsoft.Network/networkInterfaces/loadBalancers/read
    - Microsoft.Network/networkInterfaces/read
    - Microsoft.Network/networkInterfaces/write
    - Microsoft.Network/networkSecurityGroups/join/action
    - Microsoft.Network/networkSecurityGroups/read
    - Microsoft.Network/networkSecurityGroups/write
    - Microsoft.Network/publicIPAddresses/delete
    - Microsoft.Network/publicIPAddresses/join/action
    - Microsoft.Network/publicIPAddresses/read
    - Microsoft.Network/publicIPAddresses/write
    - Microsoft.Network/routeTables/read
    - Microsoft.Network/virtualNetworks/subnets/join/action
    - Microsoft.Network/virtualNetworks/subnets/read
    - Microsoft.Resources/subscriptions/resourceGroups/read
  secretRef:
    name: azure-cloud-credentials
    namespace: openshift-machine-api
  serviceAccountNames:
  - machine-api-controllers
status:
  conditions:
  - lastProbeTime: "2025-10-27T11:19:31Z"
    lastTransitionTime: "2025-10-27T11:19:31Z"
    message: CredentialsRequest is not for platform BareMetal
    reason: InfrastructureMismatch
    status: "True"
    type: Ignored
  lastSyncGeneration: 0
  provisioned: false
